import { model } from '@peter-murray/hue-bridge-model';
declare type CacheData = {
    lights: {
        [key: number]: {
            [key: string]: any;
        };
    };
    config: {
        [key: string]: any;
    };
};
export declare class Cache {
    private data;
    private _lights;
    constructor(data: CacheData);
    /**
     * Obtains a known light from the cache
     * @param id {Number | String} The id for the light.
     */
    getLight(id: number | string | model.Light): model.Light;
    /**
     * Get the modelid for the bridge.
     */
    get modelid(): string;
    /**
     * Get the API version for the bridge.
     * @return The Api Version for the bridge.
     */
    get apiversion(): string;
}
export {};
