"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.capabilitiesApi = void 0;
const ApiEndpoint_1 = require("./ApiEndpoint");
const hue_bridge_model_1 = require("@peter-murray/hue-bridge-model");
function getAllCapabilities() {
    return new ApiEndpoint_1.ApiEndpoint()
        .get()
        .acceptJson()
        .uri('/<username>/capabilities')
        .pureJson()
        .postProcess(buildCapabilities);
}
const capabilitiesApi = {
    getAll: getAllCapabilities()
};
exports.capabilitiesApi = capabilitiesApi;
function buildCapabilities(data, requestParameters) {
    // const id = requestParameters.baseUrl || null;
    return hue_bridge_model_1.model.createFromBridge('capabilities', undefined, data);
}
