"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiError = void 0;
const HueError_1 = require("./HueError");
class ApiError extends Error {
    constructor(message, error) {
        if (message instanceof HueError_1.HueError) {
            super(message.message);
            this._hueError = message || error;
        }
        else {
            super(message);
            this._hueError = error;
        }
        Error.captureStackTrace(this, ApiError);
    }
    getHueError() {
        return this._hueError;
    }
    getHueErrorType() {
        return this._hueError ? this._hueError.type : -1;
    }
    getHueErrorAddress() {
        return this._hueError ? this._hueError.address : undefined;
    }
    getHueErrorDescription() {
        return this._hueError ? this._hueError.description : undefined;
    }
    getHueErrorMessage() {
        return this._hueError ? this._hueError.message : undefined;
    }
}
exports.ApiError = ApiError;
