"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const testValues = require("../../test/support/testValues.js");
const index_1 = require("../index");
const v3_1 = require("../v3");
describe('Hue API #capabilities', () => {
    let hue;
    before(async () => {
        const searchResults = await index_1.discovery.nupnpSearch();
        chai_1.expect(searchResults).to.have.length.at.least(1);
        chai_1.expect(searchResults[0]).to.have.property('config');
        const localApi = v3_1.v3.api.createLocal(searchResults[0].ipaddress);
        hue = await localApi.connect(testValues.username);
    });
    describe('#getAll()', () => {
        it('should get all capabilities', async () => {
            const capabilities = await hue.capabilities.getAll();
            chai_1.expect(capabilities).to.have.property('lights');
            chai_1.expect(capabilities).to.have.property('sensors');
            chai_1.expect(capabilities).to.have.property('groups');
            chai_1.expect(capabilities).to.have.property('scenes');
            chai_1.expect(capabilities).to.have.property('schedules');
            chai_1.expect(capabilities).to.have.property('rules');
            chai_1.expect(capabilities).to.have.property('resourcelinks');
            chai_1.expect(capabilities).to.have.property('streaming');
            chai_1.expect(capabilities.timezones).to.be.instanceOf(Array);
        });
    });
});
