import { ApiDefinition } from './http/ApiDefinition';
import { model } from '@peter-murray/hue-bridge-model';
import { Api } from './Api';
declare type ResourceLinkId = string | model.ResourceLink;
declare type LooseObject = {
    [key: string]: any;
};
export declare class ResourceLinks extends ApiDefinition {
    constructor(hueApi: Api);
    getAll(): Promise<model.ResourceLink[]>;
    getResourceLink(id: ResourceLinkId): Promise<model.ResourceLink>;
    getResourceLinkByName(name: string): Promise<model.ResourceLink[]>;
    createResourceLink(resourceLink: model.ResourceLink): Promise<model.ResourceLink>;
    deleteResourceLink(id: ResourceLinkId): Promise<boolean>;
    updateResourceLink(resourceLink: model.ResourceLink): Promise<LooseObject>;
}
export {};
