import { ApiDefinition } from './http/ApiDefinition';
import { model } from '@peter-murray/hue-bridge-model';
import { KeyValueType } from '../commonTypes';
import { Api } from './Api';
declare type Rule = model.Rule;
declare type RuleId = number | Rule;
export declare class Rules extends ApiDefinition {
    constructor(hueApi: Api);
    getAll(): Promise<Rule[]>;
    getRule(id: RuleId): Promise<Rule>;
    getRuleByName(name: string): Promise<Rule[]>;
    createRule(rule: Rule): Promise<Rule>;
    deleteRule(id: RuleId): Promise<boolean>;
    updateRule(rule: Rule): Promise<KeyValueType>;
}
export {};
