"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const index_1 = require("./index");
const index_2 = require("../index");
const testValues = require("../../test/support/testValues.js");
describe('Hue API create for local connections', () => {
    let hueLocalIpAddress;
    before(() => {
        return index_2.discovery.nupnpSearch()
            .then(searchResults => {
            chai_1.expect(searchResults).to.be.instanceOf(Array);
            chai_1.expect(searchResults).to.have.length.greaterThan(0);
            chai_1.expect(searchResults[0]).to.not.have.property('error');
            hueLocalIpAddress = searchResults[0].ipaddress;
        });
    });
    describe('#createLocal()', () => {
        it('should get a local connection', async () => {
            const bootstrap = await index_1.createLocal(hueLocalIpAddress);
            chai_1.expect(bootstrap).to.not.be.null;
            const api = await bootstrap.connect(testValues.username);
            chai_1.expect(api).to.not.be.null;
        });
    });
    describe('#createInsecureLocal()', () => {
        it('should get an insecure local connection', async () => {
            const bootstrap = await index_1.createInsecureLocal(hueLocalIpAddress);
            chai_1.expect(bootstrap).to.not.be.null;
            const api = await bootstrap.connect(testValues.username);
            chai_1.expect(api).to.not.be.null;
        });
    });
});
