"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScheduleIdPlaceholder = void 0;
const Placeholder_1 = require("./Placeholder");
const hue_bridge_model_1 = require("@peter-murray/hue-bridge-model");
class ScheduleIdPlaceholder extends Placeholder_1.Placeholder {
    constructor(name) {
        const type = new hue_bridge_model_1.types.UInt16Type({ name: 'schedule id', optional: false });
        super(type, 'id', name);
    }
    _getParameterValue(parameter) {
        if (hue_bridge_model_1.model.instanceChecks.isScheduleInstance(parameter)) {
            return parameter.id;
        }
        else {
            return super._getParameterValue(parameter);
        }
    }
}
exports.ScheduleIdPlaceholder = ScheduleIdPlaceholder;
