import { HueError } from './HueError';
export class ApiError extends Error {
    constructor(message, error) {
        if (message instanceof HueError) {
            super(message.message);
            this._hueError = message || error;
        }
        else {
            super(message);
            this._hueError = error;
        }
        Error.captureStackTrace(this, ApiError);
    }
    getHueError() {
        return this._hueError;
    }
    getHueErrorType() {
        return this._hueError ? this._hueError.type : -1;
    }
    getHueErrorAddress() {
        return this._hueError ? this._hueError.address : undefined;
    }
    getHueErrorDescription() {
        return this._hueError ? this._hueError.description : undefined;
    }
    getHueErrorMessage() {
        return this._hueError ? this._hueError.message : undefined;
    }
}
