import { model } from '@peter-murray/hue-bridge-model';
import { ApiDefinition } from './http/ApiDefinition';
import { Api } from './Api';
declare type Schedule = model.Schedule;
declare type ScheduleId = number | string | Schedule;
export declare class Schedules extends ApiDefinition {
    constructor(hueApi: Api);
    getAll(): Promise<Schedule[]>;
    getSchedule(id: ScheduleId): Promise<Schedule>;
    getScheduleByName(name: string): Promise<Schedule[]>;
    createSchedule(schedule: Schedule): Promise<Schedule>;
    updateSchedule(schedule: Schedule): Promise<boolean>;
    deleteSchedule(id: ScheduleId): Promise<boolean>;
}
export {};
