import { ApiDefinition } from './http/ApiDefinition';
import { CreatedUser } from './http/endpoints/configuration';
import { Api } from './Api';
export declare type UserRecord = {
    username: string;
    [key: string]: any;
};
export declare class Users extends ApiDefinition {
    constructor(hueApi: Api);
    getAll(): Promise<UserRecord[]>;
    getUser(username: string): Promise<UserRecord | undefined>;
    getUserByName(appName: string, deviceName?: string): Promise<UserRecord[]>;
    createUser(appName: string, deviceName?: string): Promise<CreatedUser>;
    deleteUser(username: string): Promise<boolean>;
}
