export declare type DiscoveryBridgeDefinition = {
    internalipaddress: string;
    id?: string;
};
export declare type DiscoveryBridgeDescription = {
    name?: string;
    manufacturer?: string;
    ipaddress?: string;
    model?: DiscoveryBridgeModel;
    version?: SpecVersion;
    icons?: DiscoveryBridgeIcon[];
};
export declare type DiscoveryBridgeModel = {
    number?: string;
    description?: string;
    name?: string;
    serial?: string;
};
export declare type DiscoveryBridgeIcon = {
    mimetype?: string;
    height?: number;
    width?: number;
    depth?: number;
    url?: string;
};
export declare type SpecVersion = {
    major: string;
    minor: string;
};
export declare type BridgeConfigData = {
    ipaddress: string;
    name: string;
    modelid: string;
    swversion: string;
};
export declare type BridgeConfigError = {
    error: {
        message: string;
        description: string;
        ipaddress: string;
        id?: string;
    };
};
export declare type BridgeDiscoveryResponse = {
    ipaddress: string;
    config?: BridgeConfigData;
    error?: BridgeConfigError;
};
