// Obtains an HTTPS Agent that will accept the discovery.meethue.com TLS certificate
import { Agent } from 'https';

export function getDiscoveryMeetHueHttpsAgent(): Agent {
  const discoveryAgent = new Agent();

  if (!discoveryAgent.options) {
    discoveryAgent.options = {};
  }

  discoveryAgent.options.ca = '-----BEGIN CERTIFICATE-----\n' +
    'MIIGLTCCBRWgAwIBAgIQDRFjcdUbFwTU3xg1Bre3yzANBgkqhkiG9w0BAQsFADBN\n' +
    'MQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMScwJQYDVQQDEx5E\n' +
    'aWdpQ2VydCBTSEEyIFNlY3VyZSBTZXJ2ZXIgQ0EwHhcNMTkwNjE0MDAwMDAwWhcN\n' +
    'MjAwNjEzMTIwMDAwWjByMQswCQYDVQQGEwJOTDESMBAGA1UEBxMJRWluZGhvdmVu\n' +
    'MSEwHwYDVQQKExhTaWduaWZ5IE5ldGhlcmxhbmRzIEIuVi4xDDAKBgNVBAsTA0h1\n' +
    'ZTEeMBwGA1UEAxMVZGlzY292ZXJ5Lm1lZXRodWUuY29tMIIBIjANBgkqhkiG9w0B\n' +
    'AQEFAAOCAQ8AMIIBCgKCAQEAxaH5IfwVRAH/2/y4SlGOXTiLjXXm8Zto8YJsMVmv\n' +
    '2rqzxA3niZZfJ6SNFJUqWQ+M1Lhcn+yhKp//nrPiG4jUh7m0CWAQ+EgzrNkiYa9U\n' +
    'vC/yGqm2pwxDuPoT90ZdTHgH7+One1bNMn+YNH1/S+sLLf4I1vDwblijynN43cE1\n' +
    '02/HbCkAQ0PajRwOqsq8nxWTE6UV5qOWmkvlQuUQAC0zPd9a3bMax0PtY9Ld9ikL\n' +
    '2qoM+YbVcL7WvaS4YWm92z4bSZK/CIQmZYiB1Xat5TYQg0YxM1Iqj3wYV7lTdWgD\n' +
    'rfqds5z6I2jGZr72neI7BwJU6j+fHyc8wPbsudjYrDpnBQIDAQABo4IC4jCCAt4w\n' +
    'HwYDVR0jBBgwFoAUD4BhHIIxYdUvKOeNRji0LOHG2eIwHQYDVR0OBBYEFAgIvzOi\n' +
    'I5OaFQIExTAvb41w54ENMCAGA1UdEQQZMBeCFWRpc2NvdmVyeS5tZWV0aHVlLmNv\n' +
    'bTAOBgNVHQ8BAf8EBAMCBaAwHQYDVR0lBBYwFAYIKwYBBQUHAwEGCCsGAQUFBwMC\n' +
    'MGsGA1UdHwRkMGIwL6AtoCuGKWh0dHA6Ly9jcmwzLmRpZ2ljZXJ0LmNvbS9zc2Nh\n' +
    'LXNoYTItZzYuY3JsMC+gLaArhilodHRwOi8vY3JsNC5kaWdpY2VydC5jb20vc3Nj\n' +
    'YS1zaGEyLWc2LmNybDBMBgNVHSAERTBDMDcGCWCGSAGG/WwBATAqMCgGCCsGAQUF\n' +
    'BwIBFhxodHRwczovL3d3dy5kaWdpY2VydC5jb20vQ1BTMAgGBmeBDAECAjB8Bggr\n' +
    'BgEFBQcBAQRwMG4wJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLmRpZ2ljZXJ0LmNv\n' +
    'bTBGBggrBgEFBQcwAoY6aHR0cDovL2NhY2VydHMuZGlnaWNlcnQuY29tL0RpZ2lD\n' +
    'ZXJ0U0hBMlNlY3VyZVNlcnZlckNBLmNydDAJBgNVHRMEAjAAMIIBBQYKKwYBBAHW\n' +
    'eQIEAgSB9gSB8wDxAHcA7ku9t3XOYLrhQmkfq+GeZqMPfl+wctiDAMR7iXqo/csA\n' +
    'AAFrVySi8gAABAMASDBGAiEAsQVAcK6mBEQy5gU4dgYdpzdGiU1SdzVHWi1ixio+\n' +
    '9WoCIQDd0UcKTiUmaVlOznXwfLzwCtKyIyDWqMF7bhlTKzdz9wB2AId1v+dZfPiM\n' +
    'Q5lfvfNu/1aNR1Y2/0q1YMG06v9eoIMPAAABa1ckny4AAAQDAEcwRQIhAKmIpwg4\n' +
    'w9nYb62Y45CWzsBOVp2Gy+7F4nAyf80MjXi8AiAkkXumIKT5ixe4v697u+dRcaxm\n' +
    '75EgRp51ifMIJKmwaTANBgkqhkiG9w0BAQsFAAOCAQEAXTejYipPw7rmH+IYqR4r\n' +
    'CmcaDTI3CUvr05QSCPsrD7/rkS/SDP2Z0ZRqHyfDUhYkxrrrBJMcDd28sLm//YJ+\n' +
    '+gbGfu+L24cXn3iXyBRliLvFCTRwZfA+347C97y2L0IFQV0S5YSHUr2u7PqG7Jcl\n' +
    'qF5rLPgOYcBNxkjuksqhZZfElVzwwtc/qTAsPAn4PKnJ/gtcb2Dj+41BgZ/lFGDP\n' +
    'Cv/SjNQxw6gNHG5UtEu9qJ0xFVjAC9E13yHezDjKpZs7aBgAD8sWTffp1jJAVkyU\n' +
    'mHpUGHe72H75CnlF6jGu2djDcLkXrWWqd/vw6vFx4oMgBwCHF8IWexUIbJQ5LUHZ\n' +
    'iQ==\n' +
    '-----END CERTIFICATE-----\n' +
    '\n' +
    '-----BEGIN CERTIFICATE-----\n' +
    'MIIElDCCA3ygAwIBAgIQAf2j627KdciIQ4tyS8+8kTANBgkqhkiG9w0BAQsFADBh\n' +
    'MQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMRkwFwYDVQQLExB3\n' +
    'd3cuZGlnaWNlcnQuY29tMSAwHgYDVQQDExdEaWdpQ2VydCBHbG9iYWwgUm9vdCBD\n' +
    'QTAeFw0xMzAzMDgxMjAwMDBaFw0yMzAzMDgxMjAwMDBaME0xCzAJBgNVBAYTAlVT\n' +
    'MRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMxJzAlBgNVBAMTHkRpZ2lDZXJ0IFNIQTIg\n' +
    'U2VjdXJlIFNlcnZlciBDQTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\n' +
    'ANyuWJBNwcQwFZA1W248ghX1LFy949v/cUP6ZCWA1O4Yok3wZtAKc24RmDYXZK83\n' +
    'nf36QYSvx6+M/hpzTc8zl5CilodTgyu5pnVILR1WN3vaMTIa16yrBvSqXUu3R0bd\n' +
    'KpPDkC55gIDvEwRqFDu1m5K+wgdlTvza/P96rtxcflUxDOg5B6TXvi/TC2rSsd9f\n' +
    '/ld0Uzs1gN2ujkSYs58O09rg1/RrKatEp0tYhG2SS4HD2nOLEpdIkARFdRrdNzGX\n' +
    'kujNVA075ME/OV4uuPNcfhCOhkEAjUVmR7ChZc6gqikJTvOX6+guqw9ypzAO+sf0\n' +
    '/RR3w6RbKFfCs/mC/bdFWJsCAwEAAaOCAVowggFWMBIGA1UdEwEB/wQIMAYBAf8C\n' +
    'AQAwDgYDVR0PAQH/BAQDAgGGMDQGCCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYY\n' +
    'aHR0cDovL29jc3AuZGlnaWNlcnQuY29tMHsGA1UdHwR0MHIwN6A1oDOGMWh0dHA6\n' +
    'Ly9jcmwzLmRpZ2ljZXJ0LmNvbS9EaWdpQ2VydEdsb2JhbFJvb3RDQS5jcmwwN6A1\n' +
    'oDOGMWh0dHA6Ly9jcmw0LmRpZ2ljZXJ0LmNvbS9EaWdpQ2VydEdsb2JhbFJvb3RD\n' +
    'QS5jcmwwPQYDVR0gBDYwNDAyBgRVHSAAMCowKAYIKwYBBQUHAgEWHGh0dHBzOi8v\n' +
    'd3d3LmRpZ2ljZXJ0LmNvbS9DUFMwHQYDVR0OBBYEFA+AYRyCMWHVLyjnjUY4tCzh\n' +
    'xtniMB8GA1UdIwQYMBaAFAPeUDVW0Uy7ZvCj4hsbw5eyPdFVMA0GCSqGSIb3DQEB\n' +
    'CwUAA4IBAQAjPt9L0jFCpbZ+QlwaRMxp0Wi0XUvgBCFsS+JtzLHgl4+mUwnNqipl\n' +
    '5TlPHoOlblyYoiQm5vuh7ZPHLgLGTUq/sELfeNqzqPlt/yGFUzZgTHbO7Djc1lGA\n' +
    '8MXW5dRNJ2Srm8c+cftIl7gzbckTB+6WohsYFfZcTEDts8Ls/3HB40f/1LkAtDdC\n' +
    '2iDJ6m6K7hQGrn2iWZiIqBtvLfTyyRRfJs8sjX7tN8Cp1Tm5gr8ZDOo0rwAhaPit\n' +
    'c+LJMto4JQtV05od8GiG7S5BNO98pVAdvzr508EIDObtHopYJeS4d60tbvVS3bR0\n' +
    'j6tJLp07kzQoH3jOlOrHvdPJbRzeXDLz\n' +
    '-----END CERTIFICATE-----\n' +
    '\n' +
    '-----BEGIN CERTIFICATE-----\n' +
    'MIIDrzCCApegAwIBAgIQCDvgVpBCRrGhdWrJWZHHSjANBgkqhkiG9w0BAQUFADBh\n' +
    'MQswCQYDVQQGEwJVUzEVMBMGA1UEChMMRGlnaUNlcnQgSW5jMRkwFwYDVQQLExB3\n' +
    'd3cuZGlnaWNlcnQuY29tMSAwHgYDVQQDExdEaWdpQ2VydCBHbG9iYWwgUm9vdCBD\n' +
    'QTAeFw0wNjExMTAwMDAwMDBaFw0zMTExMTAwMDAwMDBaMGExCzAJBgNVBAYTAlVT\n' +
    'MRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMxGTAXBgNVBAsTEHd3dy5kaWdpY2VydC5j\n' +
    'b20xIDAeBgNVBAMTF0RpZ2lDZXJ0IEdsb2JhbCBSb290IENBMIIBIjANBgkqhkiG\n' +
    '9w0BAQEFAAOCAQ8AMIIBCgKCAQEA4jvhEXLeqKTTo1eqUKKPC3eQyaKl7hLOllsB\n' +
    'CSDMAZOnTjC3U/dDxGkAV53ijSLdhwZAAIEJzs4bg7/fzTtxRuLWZscFs3YnFo97\n' +
    'nh6Vfe63SKMI2tavegw5BmV/Sl0fvBf4q77uKNd0f3p4mVmFaG5cIzJLv07A6Fpt\n' +
    '43C/dxC//AH2hdmoRBBYMql1GNXRor5H4idq9Joz+EkIYIvUX7Q6hL+hqkpMfT7P\n' +
    'T19sdl6gSzeRntwi5m3OFBqOasv+zbMUZBfHWymeMr/y7vrTC0LUq7dBMtoM1O/4\n' +
    'gdW7jVg/tRvoSSiicNoxBN33shbyTApOB6jtSj1etX+jkMOvJwIDAQABo2MwYTAO\n' +
    'BgNVHQ8BAf8EBAMCAYYwDwYDVR0TAQH/BAUwAwEB/zAdBgNVHQ4EFgQUA95QNVbR\n' +
    'TLtm8KPiGxvDl7I90VUwHwYDVR0jBBgwFoAUA95QNVbRTLtm8KPiGxvDl7I90VUw\n' +
    'DQYJKoZIhvcNAQEFBQADggEBAMucN6pIExIK+t1EnE9SsPTfrgT1eXkIoyQY/Esr\n' +
    'hMAtudXH/vTBH1jLuG2cenTnmCmrEbXjcKChzUyImZOMkXDiqw8cvpOp/2PV5Adg\n' +
    '06O/nVsJ8dWO41P0jmP6P6fbtGbfYmbW0W5BjfIttep3Sp+dWOIrWcBAI+0tKIJF\n' +
    'PnlUkiaY4IBIqDfv8NZ5YBberOgOzW6sRBc4L0na4UU+Krk2U886UAb3LujEV0ls\n' +
    'YSEY1QSteDwsOoBrp+uvFRTp2InBuThs4pFsiv9kuXclVzDAGySj4dzp30d8tbQk\n' +
    'CAUw7C29C79Fv1C5qfPrmAESrciIxpg0X40KPMbp1ZWVbd4=\n' +
    '-----END CERTIFICATE-----\n';

  return discoveryAgent;
}